$mobile:  960px;
$desktop: 1400px;


@mixin respond-to($media) {

  @if $media == mobile {
    @media only screen and (max-width: $mobile - 1) { @content; }
  }

  @else if $media == laptop {
    @media only screen and (min-width: $mobile) and (max-width: $desktop) { @content; }
  }

  @else if $media == desktop {
    @media only screen and (min-width: $desktop + 1) { @content; }
  }

  @else if $media == hover {
    @media only screen and (min-width: $mobile) { @content; }
  }
}

@mixin respond {
  margin: 0 auto;
  position: relative;

  @include respond-to(mobile)  {width: calc(100% - 20px)}
  @include respond-to(laptop)  {width: calc(100% - 40px)}
  @include respond-to(desktop) {width: $desktop;}
}